//
// PlaceGet.swift
//
// Generated by swagger-codegen
// https://github.com/swagger-api/swagger-codegen
//

import Foundation



public struct PlaceGet: Codable {

    public var name: String
    public var _description: String?
    public var latitude: Decimal?
    public var longitude: Decimal?
    public var _id: Int
    public var createdAt: Date
    public var updatedAt: Date
    public var planCount: Int
    public var cameraCount: Int

    public init(name: String, _description: String? = nil, latitude: Decimal? = nil, longitude: Decimal? = nil, _id: Int, createdAt: Date, updatedAt: Date, planCount: Int, cameraCount: Int) {
        self.name = name
        self._description = _description
        self.latitude = latitude
        self.longitude = longitude
        self._id = _id
        self.createdAt = createdAt
        self.updatedAt = updatedAt
        self.planCount = planCount
        self.cameraCount = cameraCount
    }

    public enum CodingKeys: String, CodingKey { 
        case name
        case _description = "description"
        case latitude
        case longitude
        case _id = "id"
        case createdAt = "created_at"
        case updatedAt = "updated_at"
        case planCount = "plan_count"
        case cameraCount = "camera_count"
    }

}
